#block_2 {
    margin: 0 auto;
    /* background-color: red; */
    width: 950px;
    color: white;
    border-bottom: 3px solid white;
    padding: 10px;
    text-align: justify;
}

.post {
    width: 600px;
    height: 370px;
    /* height: max-content; */
    color: white;
    margin: 50px auto;
    border: 2px solid rgb(255, 255, 255);
    border-radius: 30px;
    padding: 20px;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    box-shadow: 1px 1px 10px 10px rgb(95, 95, 95);
    background-color: rgb(0, 0, 0, .2);
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    justify-content: center;
}

.txt {
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: 18px;
    margin: 0 20px;
    margin-bottom: 10px;
    width: 500px;
    height: 125px;
    text-align: justify;
    overflow: hidden;
    /* background-color: red; */
}

#btt {
    float: right;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0;
}
#btt span {
    /* display: none; */
    position: absolute;
}

#btt a {
    background: linear-gradient(45deg, blue 55%, black);
    text-decoration: none;
    padding: 10px;
    margin: 10px;
    border-radius: 5px;
    color: white;
    position: relative;
}

.detailes {
    /* margin: 20px 0; */
    background: linear-gradient(45deg, green, rgb(0, 70, 0));
    padding: 5px;
    text-decoration: none;
    color: white;
    border-radius: 10px;
    float: right;
    width: 95px;
}
hr {
    width: inherit;
    width: 540px;
}

#information {
    margin-top: 20px;
}

@media screen and (max-width: 1000px) {
    #block_2 {
        width: 100%;
    }
    #ins {
        display: flex;
        flex-direction: column-reverse;
        align-items: end;
    }
}
@media screen and (max-width: 650px) {
    .post {
        width: 100%;
        height: 350px;
        /* height: max-content; */
        color: white;
        margin: 50px auto;
        border: none;
        border-radius: 0px;
        padding: 20px;
        font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
        box-shadow: 1px 1px 5px 5px rgb(95, 95, 95);
        background-color: rgb(0, 0, 0, .2);
        display: flex;
        flex-direction: column;
        /* align-items: center; */
        justify-content: center;
    }
    .txt {
        font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
        font-size: 16px;
        margin: 0 10px;
        letter-spacing: .5px;
        margin-bottom: 10px;
        width: 75vw;
        height: 125px;
        text-align: justify;
        overflow: hidden;
        /* background-color: red; */
    }
    #information {
        margin-top: 10px;
        display: flex;
        flex-direction: column;
        align-items: end;
    }
    .post h2 {
        font-size: 18px;
        max-height: 80px;
        overflow: hidden;
        margin: 0;
    }   
    hr {
        width: inherit;
    }
    .detailes {
        margin-top: 10px;
    }
}